> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Pattern

> Test if a regex pattern matches text.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/regex/test
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/regex/test:
    get:
      tags:
        - Regex Utilities
      summary: Test Pattern
      description: Test if a regex pattern matches text.
      operationId: test_pattern_v1_regex_test_get
      parameters:
        - name: pattern
          in: query
          required: true
          schema:
            type: string
            description: Regular expression pattern
            title: Pattern
          description: Regular expression pattern
        - name: text
          in: query
          required: true
          schema:
            type: string
            description: Text to test against
            title: Text
          description: Text to test against
        - name: flags
          in: query
          required: false
          schema:
            type: string
            description: 'Flags: i=ignore case, m=multiline, s=dotall'
            default: ''
            title: Flags
          description: 'Flags: i=ignore case, m=multiline, s=dotall'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````